<?php

namespace lib\Entities;

use lib\Entities\CommonEntity as Entity;
use lib\Models\ServiceModel as Model;

class ServiceEntity extends Entity
{
    const PKField = Model::PKField;
    const TitleField = Model::TitleField;
    const PairField = Model::PairField;
    public function __construct($datas)
    {
        parent::__construct($datas);
    } //

    public function getServiceCode(): string
    {
        return $this->service_code;
    }
    public function getServerCode(): string
    {
        return $this->server_code;
    }
    public function getMemberCode(): string
    {
        return $this->service_manager;
    }
    public function getClientCode(): string
    {
        return $this->client_code;
    }
    public function getCoupon(): string
    {
        return $this->coupon;
    }
    public function getUsedCoupon(): string
    {
        return $this->coupon_use;
    }
} //Class
